## org.apache.fop.viewer
Class SecureResourceBundle

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--org.apache.fop.viewer.SecureResourceBundle

public class SecureResourceBundle
extends java.util.ResourceBundle
implements Translator

Die Klasse `SecureResourceBundle` ist ein Resourceundle, das im Falle eines fehlenden Eintrages keinen Absturz verursacht, sondern die Meldung Key key not found zurückgibt.

Version:
  1.0 18.03.1999
Author:
  Stanislav.Gorkhover@jCatalog.com
See Also:
  `PropertyResourceBundle`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`SecureResourceBundle(java.io.InputStream in)` Kreiert ein ResourceBundle mit der Quelle in in.

Method Summary
`boolean` `contains(java.lang.String key)` Stellt fest, ob es den Key gibt.
`java.util.Enumeration` `getKeys()`
`java.lang.Object` `handleGetObject(java.lang.String key)` Händelt den abgefragten Key, liefert entweder den zugehörigen Wert oder eine Meldung.
`boolean` `isSourceFound()` Gibt an ob die Übersetzungsquelle gefunden ist.
`void` `setMissingEmphasized(boolean flag)` Ein Translator soll die fehlenden keys hervorheben können.

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecureResourceBundle

    public SecureResourceBundle(java.io.InputStream in)

  Kreiert ein ResourceBundle mit der Quelle in in.

Method Detail

### setMissingEmphasized

    public void setMissingEmphasized(boolean flag)

  Description copied from interface: Translator
  Ein Translator soll die fehlenden keys hervorheben können.
  Specified by:
    setMissingEmphasized in interface Translator

### getKeys

    public java.util.Enumeration getKeys()

  Overrides:
    getKeys in class java.util.ResourceBundle

### handleGetObject

    public java.lang.Object handleGetObject(java.lang.String key)

  Händelt den abgefragten Key, liefert entweder den zugehörigen Wert oder eine Meldung. Die null wird nie zurückgegeben. Schreibt die fehlenden Suchschlüssel in die Protokoll-Datei.
  Overrides:
    handleGetObject in class java.util.ResourceBundle
  Returns:
    `Object`
    - den zu dem Suchschlüssel key gefundenen Wert, falls vorhanden,
    - Meldung Key key not found, falls der Suchschlüssel fehlt und die Eigenschaft "jCatalog.DevelopmentStartModus" in der ini-Datei aus true gesetzt ist.
    - Meldung Key is null, falls der Suchschlüssel `null` ist.

### contains

    public boolean contains(java.lang.String key)

  Stellt fest, ob es den Key gibt.
  Specified by:
    contains in interface Translator

### isSourceFound

    public boolean isSourceFound()

  Description copied from interface: Translator
  Gibt an ob die Übersetzungsquelle gefunden ist.
  Specified by:
    isSourceFound in interface Translator

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.